PostGIS_AddBBox
Prev | 8.24. Troubleshooting Functions | Next

## Name

PostGIS_AddBBox — Add bounding box to the geometry.

## Synopsis

`geometry PostGIS_AddBBox(`geometry geomA`)`;

## Description

Add bounding box to the geometry. This would make bounding box based queries faster, but will increase the size of the geometry.

Bounding boxes are automatically added to geometries so in general this is not needed unless the generated bounding box somehow becomes corrupted or you have an old install that is lacking bounding boxes. Then you need to drop the old and readd.

This method supports Circular Strings and Curves

## Examples

    UPDATE sometable
     SET geom =  PostGIS_AddBBox(geom)
     WHERE PostGIS_HasBBox(geom) = false;

## See Also

PostGIS_DropBBox, PostGIS_HasBBox

Prev | Up | Next
postgis.gdal_vsi_options | Home | PostGIS_DropBBox